Bug 36394 - Inconsistent behaviour in footers (mappings admin page)
Summary: Inconsistent behaviour in footers (mappings admin page)
Status: Pushed to main
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching - Elasticsearch (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 35138
  Show dependency treegraph
 
Reported: 2024-03-22 09:08 UTC by Jonathan Druart
Modified: 2024-04-04 13:25 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.05.00


Attachments
Bug 36394: Fix footers behaviour on the ES mapping page (5.79 KB, patch)
2024-03-22 10:33 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 36394: Fix footers behaviour on the ES mapping page (5.85 KB, patch)
2024-03-22 15:58 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 36394: Fix footers behaviour on the ES mapping page (5.91 KB, patch)
2024-04-01 15:36 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 36394: Fix 'Filter' selection in new line (1.60 KB, patch)
2024-04-01 15:36 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2024-03-22 09:08:46 UTC
In the footers of the tables of the search fields and mappings, the options selected are not consistent. Additionally they are not reset correctly when a new line is added.
Comment 1 Jonathan Druart 2024-03-22 10:33:05 UTC
Created attachment 163678 [details] [review]
Bug 36394: Fix footers behaviour on the ES mapping page

In the footers of the tables of the search fields and mappings,
the options selected are not consistent.
Additionally they are not reset correctly when a new line is added.

Test plan:
0. Do not apply to recreate the problem
1. Go to the ES mapping page
2. Click tab "Bibliographic records"
3. At the bottom, notice the Yes/No dropdown lists
=> They are inconsistent, sometimes 'Yes', sometimes 'No'
4. Click Add
=> Values are kept

5. Apply this patch
6. Repeat 1, 2, 3
=> No (first option) is always selected
7. Click Add after you modified some values
=> "No" is selected

Sponsored-by: The Research University in the Helmholtz Association (KIT)
Comment 2 ByWater Sandboxes 2024-03-22 15:58:08 UTC
Created attachment 163717 [details] [review]
Bug 36394: Fix footers behaviour on the ES mapping page

In the footers of the tables of the search fields and mappings,
the options selected are not consistent.
Additionally they are not reset correctly when a new line is added.

Test plan:
0. Do not apply to recreate the problem
1. Go to the ES mapping page
2. Click tab "Bibliographic records"
3. At the bottom, notice the Yes/No dropdown lists
=> They are inconsistent, sometimes 'Yes', sometimes 'No'
4. Click Add
=> Values are kept

5. Apply this patch
6. Repeat 1, 2, 3
=> No (first option) is always selected
7. Click Add after you modified some values
=> "No" is selected

Sponsored-by: The Research University in the Helmholtz Association (KIT)
Signed-off-by: Christopher Brannon <cbrannon@cdalibrary.org>
Comment 3 Christopher Brannon 2024-03-22 15:59:04 UTC
Works as described.
Comment 4 Nick Clemens 2024-04-01 15:36:45 UTC
Created attachment 164202 [details] [review]
Bug 36394: Fix footers behaviour on the ES mapping page

In the footers of the tables of the search fields and mappings,
the options selected are not consistent.
Additionally they are not reset correctly when a new line is added.

Test plan:
0. Do not apply to recreate the problem
1. Go to the ES mapping page
2. Click tab "Bibliographic records"
3. At the bottom, notice the Yes/No dropdown lists
=> They are inconsistent, sometimes 'Yes', sometimes 'No'
4. Click Add
=> Values are kept

5. Apply this patch
6. Repeat 1, 2, 3
=> No (first option) is always selected
7. Click Add after you modified some values
=> "No" is selected

Sponsored-by: The Research University in the Helmholtz Association (KIT)
Signed-off-by: Christopher Brannon <cbrannon@cdalibrary.org>
Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Nick Clemens 2024-04-01 15:36:47 UTC
Created attachment 164203 [details] [review]
Bug 36394: Fix 'Filter' selection in new line

All other fields in the new line use data-id instead of name, this fixes an inconsistency

To test:
1 - Before this patch select some values, set filter to punctuation - hit 'Add'
2 - Punctuation vlaue is cleared
3 - After patch add a new line and confirm 'Filter' value is saved

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Katrin Fischer 2024-04-04 13:25:45 UTC
Pushed for 24.05!

Well done everyone, thank you!